/*
 * Class INTERACTIVE_LIST [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2094 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2094 [] = {0xFF01,1551,2093,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2094 [] = {0xFF01,2093,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2094 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2094 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2094 [] = {0xFF01,2093,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2094 [] = {0xFF01,2093,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2094 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2094 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2094 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2094 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2094 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2094 [] = {2093,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2094 [] = {0xFF01,2093,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2094 [] = {0xFF01,1655,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2094 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2094 [] = {0xFF01,2093,869,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2094 [] = {0xFF01,1668,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2094 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_29_2094 [] = {0xFF01,1668,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_2094 [] = {0xFF01,1669,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_31_2094 [] = {0xFF01,2093,869,0xFFFF};
static const EIF_TYPE_INDEX egt_32_2094 [] = {0xFF01,603,0xFFFF};
static const EIF_TYPE_INDEX egt_33_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_34_2094 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_2094 [] = {0xFF01,2093,869,0xFFFF};
static const EIF_TYPE_INDEX egt_36_2094 [] = {0xFF01,1662,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_37_2094 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2094[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2094), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2094), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13962, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2094), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13989, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2094), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2094), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2094), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2094), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2094), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2094), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2094), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2094), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2094), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14831, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2094), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2094), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2094), 8785, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2094), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9397, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2094), 13943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9245, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9079, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14841, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12052, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13975, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13948, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12055, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2094), 8778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12457, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13971, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2094), 13944, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2094), 12056, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13965, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2094), 13943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12064, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13969, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13954, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13955, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2094), 13946, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2094), 13947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13968, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13973, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12066, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13931, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2094), 13933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12458, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13972, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13966, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14836, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13990, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14824, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14826, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2094), 10431, 0},
	{EIF_GENERIC(NULL), 10424, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10425, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2094), 10426, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_2094), 10427, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10428, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10429, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10430, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2094), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9396, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13986, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13988, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12373, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13932, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2094), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14832, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_2094), 13942, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_2094), 13951, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13956, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13958, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13967, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13936, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_2094), 13937, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13948, 8},
	{EIF_GENERIC(egt_32_2094), 13949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13964, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13974, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13960, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_2094), 13944, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_2094), 13945, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13965, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14840, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14835, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14838, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14839, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14822, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14823, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14821, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_2094), 13934, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_2094), 11011, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_2094), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12055, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13978, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14837, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14833, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14834, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14825, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14828, 5},
	{EIF_GENERIC(NULL), 14829, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2094(void)
{
	IDSC(desc_2094, 0, 2093);
	IDSC(desc_2094 + 1, 1, 2093);
	IDSC(desc_2094 + 32, 1134, 2093);
	IDSC(desc_2094 + 41, 1395, 2093);
	IDSC(desc_2094 + 43, 1060, 2093);
	IDSC(desc_2094 + 49, 1444, 2093);
	IDSC(desc_2094 + 58, 1570, 2093);
	IDSC(desc_2094 + 61, 1534, 2093);
	IDSC(desc_2094 + 68, 636, 2093);
	IDSC(desc_2094 + 82, 1245, 2093);
	IDSC(desc_2094 + 85, 1135, 2093);
	IDSC(desc_2094 + 94, 1422, 2093);
	IDSC(desc_2094 + 103, 878, 2093);
	IDSC(desc_2094 + 104, 586, 2093);
	IDSC(desc_2094 + 110, 658, 2093);
	IDSC(desc_2094 + 111, 617, 2093);
	IDSC(desc_2094 + 113, 288, 2093);
	IDSC(desc_2094 + 128, 254, 2093);
	IDSC(desc_2094 + 131, 554, 2093);
	IDSC(desc_2094 + 132, 916, 2093);
	IDSC(desc_2094 + 138, 340, 2093);
	IDSC(desc_2094 + 146, 1088, 2093);
	IDSC(desc_2094 + 148, 778, 2093);
	IDSC(desc_2094 + 149, 387, 2093);
	IDSC(desc_2094 + 151, 1478, 2093);
	IDSC(desc_2094 + 158, 794, 2093);
}


#ifdef __cplusplus
}
#endif
